#  DNLP written by GAMS Convert at 05/24/17 13:23:53
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         16       15        0        0        1        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         16       16        0        0        0        0        0        0
#  FX      1        1        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         64       30       34        0
# 
#  Reformulation has removed 1 variable and 1 equation
#  Dropped Free =N= equations


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x2 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x3 = Var(within=Reals,bounds=(1,1),initialize=1)
m.x4 = Var(within=Reals,bounds=(0.0001,None),initialize=1)
m.x5 = Var(within=Reals,bounds=(0.0001,None),initialize=1)
m.x6 = Var(within=Reals,bounds=(0.0001,None),initialize=1)
m.x7 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x8 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x9 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x10 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x12 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x13 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x14 = Var(within=Reals,bounds=(0,None),initialize=5)
m.x15 = Var(within=Reals,bounds=(0,None),initialize=40)
m.x16 = Var(within=Reals,bounds=(0,None),initialize=40)

m.obj = Objective(expr=-((-1 + m.x3)**2 + (-1 + m.x4)**2 + (-1 + m.x5)**2 + (-1 + m.x6)**2), sense=minimize)

m.c2 = Constraint(expr= - 6*m.x3 + m.x4 + 4*m.x5 + m.x6 - m.x12 == 0)

m.c3 = Constraint(expr=   m.x3 - 3*m.x4 + m.x5 + m.x6 - m.x13 == 0)

m.c5 = Constraint(expr=-(0.4*m.x7/m.x4 + 0.1*m.x8/m.x4 + 0.2*m.x9/m.x4 + 0.25*m.x10/m.x4) - m.x1 + 3*m.x2 - m.x14 == -5)

m.c6 = Constraint(expr=-(0.04*m.x7/m.x5 + 0.02*m.x8/m.x5 + 0.2975*m.x9/m.x5 + 0.0025*m.x10/m.x5) - 4*m.x1 - m.x2 - m.x15
                        == -40)

m.c7 = Constraint(expr=-(0.04*m.x7/m.x6 + 0.02*m.x8/m.x6 + 0.0025*m.x9/m.x6 + 0.6875*m.x10/m.x6) - m.x1 - m.x2 - m.x16
                        == -40)

m.c8 = Constraint(expr= - 5*m.x3 + m.x7 == 0)

m.c9 = Constraint(expr= - 5*m.x4 + m.x8 == 0)

m.c10 = Constraint(expr= - 40*m.x5 + m.x9 == 0)

m.c11 = Constraint(expr= - 40*m.x6 + m.x10 == 0)

m.c12 = Constraint(expr=m.x12*m.x1 == 0)

m.c13 = Constraint(expr=m.x13*m.x2 == 0)

m.c14 = Constraint(expr=m.x14*(-0.0001 + m.x4) == 0)

m.c15 = Constraint(expr=m.x15*(-0.0001 + m.x5) == 0)

m.c16 = Constraint(expr=m.x16*(-0.0001 + m.x6) == 0)
